Billing accounts
Get Workspace billing
The linked account and whether billing is enabled.
GET
/
workspaces
/
{id}
/
billing_info
Get Workspace billing
curl --request GET \
--url https://api.akua.dev/v1/workspaces/{id}/billing_info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/workspaces/{id}/billing_info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/workspaces/{id}/billing_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/workspaces/{id}/billing_info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/workspaces/{id}/billing_info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akua.dev/v1/workspaces/{id}/billing_info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/workspaces/{id}/billing_info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "workspaces/ws_j572abc/billingInfo",
"workspace_id": "<string>",
"billing_account": "billingAccounts/bac_4kQ9mXr2Tz7Lw1",
"billing_enabled": true
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}⌘I
Get Workspace billing
curl --request GET \
--url https://api.akua.dev/v1/workspaces/{id}/billing_info \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/workspaces/{id}/billing_info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/workspaces/{id}/billing_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/workspaces/{id}/billing_info",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/workspaces/{id}/billing_info"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akua.dev/v1/workspaces/{id}/billing_info")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/workspaces/{id}/billing_info")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "workspaces/ws_j572abc/billingInfo",
"workspace_id": "<string>",
"billing_account": "billingAccounts/bac_4kQ9mXr2Tz7Lw1",
"billing_enabled": true
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "NotFound",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}